BioException (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.biometry
Class BioException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacardx.biometry.BioException

    @TransactionType(value=NOT_SUPPORTED)
    public class BioException

extends CardRuntimeException

The `BioException` class encapsulates specific exceptions which can be thrown by the methods of the `javacardx.biometry` package in case of error.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  2.2.2

Field Summary
`static short` | `ILLEGAL_USE` This reason code is used to indicate that the method should not be invoked based on the current state of the card.
`static short` | `ILLEGAL_VALUE` This reason code is used to indicate that one or more input parameters is out of allowed bounds.
`static short` | `INVALID_DATA` This reason code is used to indicate that the data the system encountered is illegible.
`static short` | `NO_SUCH_BIO_TEMPLATE` This reason code is used to indicate that the provided bio template type is not supported by the template builder.
`static short` | `NO_TEMPLATES_ENROLLED` This reason code is used to indicate that no reference template is available for matching, or that the reference template is uninitialized.

Constructor Summary
`BioException(short reason)` Construct a new biometric exception using a provided reason code.

Method Summary
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_VALUE

    public static final short ILLEGAL_VALUE

  This reason code is used to indicate that one or more input parameters is out of allowed bounds.

  See Also:
    Constant Field Values

### INVALID_DATA

    public static final short INVALID_DATA

  This reason code is used to indicate that the data the system encountered is illegible.

  See Also:
    Constant Field Values

### NO_SUCH_BIO_TEMPLATE

    public static final short NO_SUCH_BIO_TEMPLATE

  This reason code is used to indicate that the provided bio template type is not supported by the template builder.

  See Also:
    Constant Field Values

### NO_TEMPLATES_ENROLLED

    public static final short NO_TEMPLATES_ENROLLED

  This reason code is used to indicate that no reference template is available for matching, or that the reference template is uninitialized.

  See Also:
    Constant Field Values

### ILLEGAL_USE

    public static final short ILLEGAL_USE

  This reason code is used to indicate that the method should not be invoked based on the current state of the card.

  See Also:
    Constant Field Values

Constructor Detail

### BioException

    public BioException(short reason)

  Construct a new biometric exception using a provided reason code. To conserve on resources use `throwIt()` to use the Java Card runtime environment instance of this class.

  Parameters:
    `reason` - the reason code for this exception.

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws BioException

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws Java Card runtime environment owned instances of BioException with the specified reason. Java Card runtime environment owned instances of exception classes are permanent Java Card runtime environment Entry Point Objects and can be accessed from any application context.

  Parameters:
    `reason` - the reason for the exception.
  Throws:
    `BioException` - always.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.